package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class GoblinGoodsCheckVo implements Serializable, Cloneable {
    @ApiModelProperty(value = "名单id")
    private Integer status;
    @ApiModelProperty(value = "优先购名称")
    private List<String> spuId;

    private static final GoblinGoodsCheckVo obj = new GoblinGoodsCheckVo();

    public static GoblinGoodsCheckVo getNew() {
        try {
            return (GoblinGoodsCheckVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinGoodsCheckVo();
    }
}
